com.amazonaws.services.workspaces.model

## Class UserStorage

- java.lang.Object
- - com.amazonaws.services.workspaces.model.UserStorage

All Implemented Interfaces:
  Serializable, Cloneable

    public class UserStorage
    extends Object
    implements Serializable, Cloneable

Contains information about the user storage for a WorkSpace bundle.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UserStorage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UserStorage` `clone()`
`boolean` `equals(Object obj)`
`String` `getCapacity()` The amount of user storage for the bundle.
`int` `hashCode()`
`void` `setCapacity(String capacity)` The amount of user storage for the bundle.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UserStorage` `withCapacity(String capacity)` The amount of user storage for the bundle.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserStorage

    public UserStorage()

### Method Detail

#### setCapacity

    public void setCapacity(String capacity)

The amount of user storage for the bundle.

Parameters:
  `capacity` - The amount of user storage for the bundle.

#### getCapacity

    public String getCapacity()

The amount of user storage for the bundle.

Returns:
  The amount of user storage for the bundle.

#### withCapacity

    public UserStorage withCapacity(String capacity)

The amount of user storage for the bundle.

Parameters:
  `capacity` - The amount of user storage for the bundle.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UserStorage clone()

Overrides:
  `clone` in class `Object`